Skip to main content
PUT
Update a Contact Method

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contactMethodId
string
required

(Required) The contact method identifier.

Body

application/json
type
string

The contact method type, for example "Home Email" or "Mobile Phone". Must match a contact method type configured for the organization.

value
string

The email address or phone number for the contact method.

isOptedIn
string

When true, the individual has opted in to being contacted at this contact method.

setAsPrimary
string

When true, this record becomes the primary one for the contact, replacing any existing primary.

Response

OK

id
string

The unique identifier of the record in Virtuous.

type
string
value
string
isOptedIn
string
isPrimary
string

When true, this is the primary record for the contact.

canBePrimary
string

When true, this record is eligible to be made the primary one.

createDateTimeUtc
string

The UTC date and time the record was created.

createdByUser
string

The name of the user who created the record.

modifiedDateTimeUtc
string

The UTC date and time the record was last modified.

modifiedByUser
string

The name of the user who last modified the record.

Last modified on August 11, 2026